## python-oracledb 1.2.1

=== doc/Makefile ===
# Makefile to generate python-oracledb documentation using Sphinx

SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = src
BUILDDIR      = build

.PHONY: html
html:
	@$(SPHINXBUILD) -M html $(SOURCEDIR) $(BUILDDIR) $(SPHINXOPTS)

.PHONY: epub
epub:
	@$(SPHINXBUILD) -M epub $(SOURCEDIR) $(BUILDDIR) $(SPHINXOPTS)

.PHONY: pdf
pdf:
	@$(SPHINXBUILD) -M latexpdf $(SOURCEDIR) $(BUILDDIR) $(SPHINXOPTS)

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

=== doc/requirements.txt ===
sphinx>=4.2.0
sphinx-rtd-theme

=== utils/Makefile ===
#------------------------------------------------------------------------------
# Copyright (c) 2022, Oracle and/or its affiliates.
#
# This software is dual-licensed to you under the Universal Permissive License
# (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl and Apache License
# 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose
# either license.
#
# If you elect to accept the software under the Apache License, Version 2.0,
# the following applies:
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
# Makefile to generate parameter files from templates
#------------------------------------------------------------------------------


SOURCE_DIR = ../src/oracledb
TEMPLATE_DIR = templates

all: $(SOURCE_DIR)/connect_params.py $(SOURCE_DIR)/pool_params.py \
		$(SOURCE_DIR)/connection.py $(SOURCE_DIR)/pool.py

$(SOURCE_DIR)/connection.py: fields.cfg $(TEMPLATE_DIR)/connection.py
	python build_from_template.py connection

$(SOURCE_DIR)/connect_params.py: fields.cfg $(TEMPLATE_DIR)/connect_params.py
	python build_from_template.py connect_params

$(SOURCE_DIR)/pool.py: fields.cfg $(TEMPLATE_DIR)/pool.py
	python build_from_template.py pool

$(SOURCE_DIR)/pool_params.py: fields.cfg $(TEMPLATE_DIR)/pool_params.py
	python build_from_template.py pool_params

=== debian/changelog ===
python-oracledb (1.2.1-3build6) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:03:39 +0000

python-oracledb (1.2.1-3build5) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:04:01 +0000

python-oracledb (1.2.1-3build4) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:58:36 +0100

python-oracledb (1.2.1-3build3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:46:09 +0000

python-oracledb (1.2.1-3build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:47:12 +0000

python-oracledb (1.2.1-3build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:37:54 -0500

python-oracledb (1.2.1-3) unstable; urgency=medium

  * [65915e9] fix Vcs URLs
  * [f4c2498] install upstream release notes as changelog
  * [78a9deb] use proper :native qualifier for p3-all-dev now that
    dh-python supports it

 -- Joseph Nahmias <jello@debian.org>  Tue, 10 Jan 2023 11:22:06 -0500

python-oracledb (1.2.1-2) unstable; urgency=medium

  * source-only upload for entrance to testing.

 -- Joseph Nahmias <jello@debian.org>  Sun, 08 Jan 2023 10:42:53 -0500

python-oracledb (1.2.1-1) unstable; urgency=medium

  * Initial release
  * [b0bbd07] do not build the thick-mode driver
    it requires the non-free oracle client libraries to run.
  * [5e0bf2f] fix install location of docs
  * [9b41588] lintian override for source-is-missing on tutorial HTML page.
    File is not generated as far as I know, it just puts an entire long
    paragraph <p>...</p> on a single text line -- which displeases lintian.
  * [cb9113b] build docs in -indep target and use B-D-I accordingly
  * [a0e7626] try to fix cross-build
  * [1e6dbbb] really fix build-deps for proper cross-building.
    Thanks to Helmut Grohne!

 -- Joseph Nahmias <jello@debian.org>  Fri, 06 Jan 2023 15:20:22 -0500

=== debian/control ===
Source: python-oracledb
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject (>= 5.20230109~),
 cython3:native,
 libpython3-all-dev,
 python3-all-dev:native,
 python3-setuptools,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://oracle.github.io/python-oracledb
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-oracledb
Vcs-Git: https://salsa.debian.org/python-team/packages/python-oracledb.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Description: Python driver for Oracle Database
 python-oracledb is a Python programming language extension module allowing
 Python programs to connect to Oracle Database. It is the renamed, new major
 release of the popular cx_Oracle driver.
 .
 The module conforms to the Python Database API 2.0 specification with a
 considerable number of additions and a couple of minor exclusions
 .
 Oracle client libraries are NOT necessary when connecting using "Thin" mode,
 which is the default, but requires Oracle Database Server 12.1 or later --
 which was initially released in July 2013.

Package: python3-oracledb
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Suggests: python-oracle-doc
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs the "Thin" mode driver for Python 3.

Package: python-oracledb-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME=oracledb

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/src/ build/html
endif

override_dh_installdocs:
	dh_installdocs --package=python3-oracledb
	dh_installdocs --package=python-oracledb-doc --doc-main-package=python3-oracledb

override_dh_installchangelogs:
	dh_installchangelogs doc/src/release_notes.rst

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-oracledb-$1.tar.gz%" \
   https://github.com/oracle/python-oracledb/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
